%define _build_id_links none
%global debug_package %{nil}

Name:           syft
Version:        1.19.0
Release:        1%{?dist}
Summary:        A CLI tool for generating SBOMs (Software Bill of Materials)

License:        Apache-2.0

URL:            https://github.com/anchore/syft/releases
Source0:        https://github.com/anchore/syft/releases/download/v%{version}/%{name}_%{version}_linux_amd64.tar.gz
Source1:        https://github.com/anchore/syft/releases/download/v%{version}/%{name}_%{version}_checksums.txt
ExclusiveArch: x86_64

BuildRequires: coreutils

%description
Syft is a CLI tool and library for generating a Software Bill of Materials
(SBOM) from container images and filesystems.

%prep
pushd %{_sourcedir}
sha256sum --ignore-missing -c %{SOURCE1}
popd

%autosetup -c

%install
mkdir -p %{buildroot}/%{_bindir}
%{__install} -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}

%doc README.md
%license LICENSE

%changelog
* Thu Jan 23 2025 Christian Vonderstein <copr234@vonderste.in> - 1.19.0-1
- Initial packaging for Syft 1.19.0
